Subject: /usr/bin/reboot and win2k3
From: "Matt Berney" <[email-masked]>
To: <[email-masked]>
Cc: "Matt Berney" <[email-masked]>
Date: Wed, 7 Apr 2004 17:22:12 -0700

Hello,

I am using cygwin v1.5.9 on Win2k3 standard edition servers.  sshd service is installed and working.  I can ssh as a local user or user in the active directory domain.  All privileges appear to be as expected.  I want to be able to use ssh to remotely reboot a server.

ssh -l root <servername> /usr/bin/reboot -f -r now

Where:
  <servername> is the name of the server I want to reboot
  root is the username in the active directory domain that has local administrator privileges on the server

When I execute the ssh command to reboot the server, it doesn't seem to do anything.  However, if I open a remote desktop session (as root) on the desired server and execute the same command, the server reboots as expected.  Am I missing something?

Thanks,
Matt Berney
PolyServe, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/